%define name		ibatis1
%define version		1.3.1
%define release		2jpp
%define	section		free


Name:		%{name}
Summary:	iBATIS SQL Maps and DAO Frameworks
Url:		http://www.ibatis.com/
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	iBATIS Open Source License 
Group:		Database
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	noarch
Source0:	ibatis_db-1-3-1.zip
Source1:	ibatis1-build.xml
Patch0:		ibatis1-jdbc30.patch

BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant >= 0:1.6
BuildRequires:  junit
BuildRequires:	java >= 0:1.4
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jdom
BuildRequires:  jta
BuildRequires:  oscache
Requires:  java >= 0:1.4
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-pool
Requires:  jdom
Requires:  jta
Requires:  oscache

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
iBATIS SQL Maps provides a very simple and flexible means 
of moving data between your Java objects and a relational 
database. Use the full power of real SQL without a single 
line of JDBC code!
iBATIS DAO is an abstraction layer that hides the details 
of your persistence solution and provides a common API to 
the rest of your application.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
%{summary}.

%package demo
Summary:	Examples for %{name}
Group:		Development/Documentation

%description demo
%{summary}.

%prep
%setup -q -c -n %{name}-%{version}
chmod -R go=u-w *
cp %{SOURCE1} build.xml
mkdir src
pushd src
unzip -q ../debug/ibatis-db-src.zip
popd
find . -name "*.jar" -exec rm -f {} \;

%patch0 -b .sav

%build
export CLASSPATH=$(build-classpath \
commons-dbcp \
commons-logging \
commons-pool \
jdom \
jta \
oscache \
)
CLASSPATH=$CLASSPATH:target/classes
ant -Dbuild.sysclasspath=only jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 target/%{name}-common-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-common-%{version}.jar
install -m 644 target/%{name}-dao-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-dao-%{version}.jar
install -m 644 target/%{name}-sqlmap-%{version}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-sqlmap-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
pushd examples
unzip examples.zip
rm examples.zip
rm -rf 3rdparty
cp -pr * $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*.jar
%doc License.txt

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(-,root,root)
%{_datadir}/%{name}-%{version}

%changelog
* Sat Jul 09 2005 Ralph Apel <r.apel at r-apel.de> 0:1.3.1-2jpp
- Add commons-logging requirement

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.3.1-1jpp
- First release

